Bug 1697658 - Please rebase onto https://github.com/openshift/api/pull/278
Summary: Please rebase onto https://github.com/openshift/api/pull/278
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.1.0
Assignee: ravig
QA Contact: Weinan Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-08 22:45 UTC by Eric Paris
Modified: 2019-06-04 10:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:47:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:47:29 UTC

Description Eric Paris 2019-04-08 22:45:07 UTC
This bug was initially created as a copy of Bug #1697657

I am copying this bug because: 



https://github.com/openshift/api/pull/278 changes the tech-preview feature gate flags. Please rebase the needful components. I believe kube scheduler operator is relevant to pod team.

Comment 2 Eric Paris 2019-04-09 16:22:53 UTC
which won't work until https://github.com/openshift/cluster-kube-scheduler-operator/pull/72 merges, I think....

Comment 5 Weinan Liu 2019-04-16 03:49:51 UTC
 Hi Seth, and Ravi,
 as per current info provided, what I can verify is the PR listed below have been merged.
 If it's for a new feature, I think we'll need a jira task/story tracking this.
 @Seth, Could you help to confirm if the verification of merging status good enough?
 
 Get feature gates and using them while starting kube-scheduler
 https://github.com/openshift/cluster-kube-scheduler-operator/pull/72 
 Bump with switch to klog 
 https://github.com/openshift/cluster-kube-scheduler-operator/pull/93
 Enable BlockVolume support tech preview for 4.1
 https://github.com/openshift/api/pull/278

Comment 6 Seth Jennings 2019-04-16 18:34:38 UTC
Yes the bug was to rebase and KSO has been. Verified by confirming the contents of  https://github.com/openshift/api/pull/278 are now in the /vendor tree of  https://github.com/openshift/cluster-kube-scheduler-operator.

Comment 8 errata-xmlrpc 2019-06-04 10:47:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.